Subject: bug#72574: closed (Re: [PATCH v2] Add tests)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 12 Aug 2024 09:59:02 +0000

Your bug report

#72574: [PATCH 0/3] debbugs improvements.  Add tests

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
72574: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=72574
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [PATCH v2] Add tests
From: Michael Albinus <[email-masked]>
To: Morgan Smith <[email-masked]>
Cc: [email-masked]
Date: Mon, 12 Aug 2024 11:57:26 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Morgan Smith <[email-masked]> writes:

Hi Morgan,

> * Makefile: New file.
> * test/test-debbugs.el: New file.
> ---
>
> I made all the changes you requested.
>
> I hope you like it!

Yes, thank you! I've pushed them to the ELPA repository. I made also some
small changes afterwards, nothing serious.

Closing the bug.

Best regards, Michael.

Subject: [PATCH 0/3] debbugs improvements. Add tests
From: Morgan Smith <[email-masked]>
To: [email-masked]
Cc: Morgan Smith <[email-masked]>
Date: Sun, 11 Aug 2024 08:15:31 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello!

I would like to start contributing some improvements to debbugs.  However, when
changing things I found it difficult to avoid regressions.  So I figured I'd
try to add a test suite to debbugs first.

The first two patches are not that interesting.  I was hoping to get feedback
on the "Add tests" patch.  Obviously more tests are needed but I would like to
know if I'm on the right path.

Thanks,

Morgan

Morgan Smith (3):
  * debbugs-gnu.el (debbugs-gnu-find-contributor): Make regex more
    specific
  Fix various warnings
  Add tests

 Makefile             |   4 ++
 debbugs-browse.el    |   3 +-
 debbugs-compat.el    |   3 ++
 debbugs-gnu.el       |  24 +++++-----
 debbugs-org.el       |   7 +--
 debbugs.el           |  12 ++---
 test/test-debbugs.el | 101 +++++++++++++++++++++++++++++++++++++++++++
 7 files changed, 133 insertions(+), 21 deletions(-)
 create mode 100644 Makefile
 create mode 100644 test/test-debbugs.el

-- 
2.45.2